Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class SearchResult

    java.lang.Object
      com.google.appengine.api.search.SearchResult

    public final class SearchResult

extends java.lang.Object

Represents a single search result consisting of a scored document, a cursor to continue the search from, and any expression fields.

Method Summary
`java.lang.String` | `getCursor()` A cursor to be used continuing seach after this search result.
`Document` | `getDocument()`
`java.util.List<Field>` | `getExpressions()` The list of Field which are the result of any extra expressions requested.
`java.util.List<java.lang.Double>` | `getSortScores()` The list of scores assigned during sort evaluation.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDocument

    public Document getDocument()

  Returns:
    a document which matches the search query

### getSortScores

    public java.util.List<java.lang.Double> getSortScores()

  The list of scores assigned during sort evaluation. Each sort dimension is included in this list. Positive scores are used for ascending sorts; negative scores are used for descending.

  Returns:
    the list of scores assigned during sort evaluation

### getExpressions

    public java.util.List<Field> getExpressions()

  The list of Field which are the result of any extra expressions requested. For example, if a request contains fields to snippet or `FieldExpressions` which are named snippet expressions, then the returned expression will be a Field with the name specified in the request and HTML value set to the snippet.

  Returns:
    the list of Field which are the result of extra expressions requested.

### getCursor

    public java.lang.String getCursor()

  A cursor to be used continuing seach after this search result. For this field to be populated, use `SearchRequest.Builder.setCursorType(com.google.appengine.api.search.SearchRequest.CursorType)` to set the value to `SearchRequest.CursorType.RESULT_CURSOR`, otherwise `getCursor()` will return null.

  Returns:
    a cursor used for issuing a subsequent search that will return elements beginning after this result. Can be null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD